Bug 113788 - CPU Overload with ALSA and kernel versions 2149 and 2154...
CPU Overload with ALSA and kernel versions 2149 and 2154...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-17 21:01 EST by Mike Becker
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-19 09:36:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Becker 2004-01-17 21:01:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031202

Description of problem:
I have FC1 installed on a Gateway M500 laptop.  When the kernel
versions 2149 and 2154 were installed all went as expected until ALSA
was installed.  Originally, I rebuilt kernel-module-alsa using
alsa-driver-1.0.1-2.fr.src.rpm for version 2149 and 2154 but I also
tried the freshrpms kernel-module-alsa for 2149 with the same results.
Version 2154 has been used with my rebuild only.  The command used to
rebuild the module is:

rpmbuild --rebuild --target i686 alsa-driver-1.0.1-2.fr.src.rpm

As I indicate, both versions work just fine until their respective
ALSA module is installed.  Then, just after a reboot and login a
message is displayed stating that a CPU overload has occurred and the
sound server is being shut down.  I also have gkrellm running and
according to it,the CPU is indeed running at 100% (until I clear the
message) then the CPU usage drops down to just a couple of percent.

As I'm no programmer I have no idea as to what is happening here.  I'm
just reporting on what is occurring with FC1 on this laptop. 
BTW,kernel version 2140 works just fine with alsa...

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2149.nptl.i686 and kernel-2.4.22-1.2154.nptl.i686

How reproducible:
Always

Steps to Reproduce:
1. install kernel version 2149 or 2154
2. install kernel-module-alsa for the kernel version in use
3. reboot system
4. login
5. cpu overload...
    

Actual Results:  Upon login the CPU will run at 100% with the CPU
Overload message being displayed until sound server is shut down...

Expected Results:  Normally, with any of the preceding kernel versions
the CPU doesn't run at 100% just right after login - this with the
ALSA module installed...

Additional info:

One time only the CPU Overload message was NOT displayed!  In gkrellm
I watched the CPU load run at 98% to 100% for about 30 seconds without
generating the CPU Overload message.  After the 30 seconds past the
CPU load dropped down to between 5% and 15% - which is unusual for
this laptop.
Comment 1 Dave Jones 2004-01-19 09:36:39 EST
ALSA isn't in the Fedora kernel, bug the people who packaged it for you.

Note You need to log in before you can comment on or make changes to this bug.